load("all.pi0.r.sdoff0.0.RData")
load("all.pi0.r.sdoff0.5.RData")

labelPlot <- function(lab, font, cex, offsetx=0.05, offsety=0.05) {
  par(xpd=TRUE)
  w <- par("usr")[2] - par("usr")[1]
  h <- par("usr")[4] - par("usr")[3]
  text(par("usr")[1]-w*offsetx, par("usr")[4]+h*offsety, lab, font=font, cex=cex)
  par(xpd=FALSE)
}

pdf(file="estRatioNrDEgenes.pdf", height=5, width=8, useDingbats=FALSE)
metnames <- c("tweeDEseq", "DESeq\nPgOn", "DESeq\nPmax", "DESeq\nCgOn", "DESeq\nCmax",
              "edgeR\n(def)", "edgeR\nQLF (def)", "edgeR\nDf1", "edgeR\nQLF Df1") 
par(mfrow=c(1,2), mar=c(6, 4, 2, 1))
boxplot(all.pi0.r.sdoff0.0, names=rep("", ncol(all.pi0.r.sdoff0.0)), xlab="",
        ylab="Est. #DE genes / True #DE genes", col=collist, yaxt="n")
axis(2, at=c(0, 1, seq(5, 25, 5)), labels=c(0, 1, seq(5, 25, 5)), las=1)
abline(h=1, lwd=2, lty=2)
par(xpd=TRUE)
text(1:9, par("usr")[3]*c(rep(c(1.7, 4.5), 4), 1.7), metnames, cex=0.8, pos=1, srt=0, font=NA)
par(xpd=FALSE)
mtext("Method", side=1, line=5)
labelPlot("a", 2, 2, 0.2, 0.05)
boxplot(all.pi0.r.sdoff0.5, names=rep("", ncol(all.pi0.r.sdoff0.5)), xlab="",
        ylab="Est. #DE genes / True #DE genes", col=collist, yaxt="n")
axis(2, at=c(0, 1, seq(5, 25, 5)), labels=c(0, 1, seq(5, 25, 5)), las=1)
abline(h=1, lwd=2, lty=2)
par(xpd=TRUE)
text(1:9, par("usr")[3]*c(rep(c(1.7, 4.5), 4), 1.7), metnames, cex=0.8, pos=1, srt=0, font=NA)
par(xpd=FALSE)
mtext("Method", side=1, line=5)
labelPlot("b", 2, 2, 0.2, 0.05)
dev.off()
