##
## F vs. F
##

## un-normalized

load("FvsF_bootstrappingUn.RData")

m <- min(sapply(res, length))

PTpv <- sapply(res[["tweeDEseq"]], function(x) x$pval)
type1errPT <- apply(PTpv, 1, function(x) sum(x < 0.05)) / m
PTkspv <- apply(PTpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRpv <- sapply(res[["edgeR"]], function(x) x$table$PValue)
type1errEdgeR <- apply(edgeRpv, 1, function(x) sum(x < 0.05)) / m
edgeRKSpv <- apply(edgeRpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRdf1Pv <- sapply(res[["edgeRdf1"]], function(x) x$table$PValue)
type1errEdgeRdf1 <- apply(edgeRdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRdf1KSpv <- apply(edgeRdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfPv <- sapply(res[["edgeRqlf"]], function(x) x$table$PValue)
type1errEdgeRqlf <- apply(edgeRqlfPv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfKSpv <- apply(edgeRqlfPv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfdf1Pv <- sapply(res[["edgeRqlfdf1"]], function(x) x$table$PValue)
type1errEdgeRqlfdf1 <- apply(edgeRqlfdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfdf1KSpv <- apply(edgeRqlfdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPgOnlyPv <- sapply(res[["DESeqPgOnly"]], function(x) x$pval)
type1errDESeqPgOnly <- apply(DESeqPgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqPgOnlyKSpv <- apply(DESeqPgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPmaxPv <- sapply(res[["DESeqPmax"]], function(x) x$pval)
type1errDESeqPmax <- apply(DESeqPmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqPmaxKSpv <- apply(DESeqPmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCgOnlyPv <- sapply(res[["DESeqCgOnly"]], function(x) x$pval)
type1errDESeqCgOnly <- apply(DESeqCgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqCgOnlyKSpv <- apply(DESeqCgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCmaxPv <- sapply(res[["DESeqCmax"]], function(x) x$pval)
type1errDESeqCmax <- apply(DESeqCmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqCmaxKSpv <- apply(DESeqCmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

limmaPv <- sapply(res[["limma"]], function(x) x$P.Value)
type1errLimma <- apply(limmaPv, 1, function(x) sum(x < 0.05)) / m
limmaKSpv <- apply(limmaPv, 1, function(x) ks.test(x, "punif")$p.value)

allPvaluesFvsFun <- list(tweeDEseq=PTpv,
                         edgeRdf20=edgeRpv, edgeRdf1=edgeRdf1Pv, edgeRqlfdf20=edgeRqlfPv, edgeRqlfdf1=edgeRqlfdf1Pv,
                         DESeqPgOnly=DESeqPgOnlyPv, DESeqPmax=DESeqPmaxPv, DESeqCgOnly=DESeqCgOnlyPv, DESeqCmax=DESeqCmaxPv,
                         limma=limmaPv)

allGOFpvFvsFun <- list(tweeDEseq=PTkspv,
                       edgeRdf20=edgeRKSpv, edgeRdf1=edgeRdf1KSpv, edgeRqlfdf20=edgeRqlfKSpv, edgeRqlfdf1=edgeRqlfdf1KSpv,
                       DESeqPgOnly=DESeqPgOnlyKSpv, DESeqPmax=DESeqPmaxKSpv, DESeqCgOnly=DESeqCgOnlyKSpv, DESeqCmax=DESeqCmaxKSpv,
                       limma=limmaKSpv)


## CQN

load("FvsF_bootstrappingCQN.RData")

m <- min(sapply(res, length))

PTpv <- sapply(res[["tweeDEseq"]], function(x) x$pval)
type1errPT <- apply(PTpv, 1, function(x) sum(x < 0.05)) / m
PTkspv <- apply(PTpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRpv <- sapply(res[["edgeR"]], function(x) x$table$PValue)
type1errEdgeR <- apply(edgeRpv, 1, function(x) sum(x < 0.05)) / m
edgeRKSpv <- apply(edgeRpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRdf1Pv <- sapply(res[["edgeRdf1"]], function(x) x$table$PValue)
type1errEdgeRdf1 <- apply(edgeRdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRdf1KSpv <- apply(edgeRdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfPv <- sapply(res[["edgeRqlf"]], function(x) x$table$PValue)
type1errEdgeRqlf <- apply(edgeRqlfPv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfKSpv <- apply(edgeRqlfPv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfdf1Pv <- sapply(res[["edgeRqlfdf1"]], function(x) x$table$PValue)
type1errEdgeRqlfdf1 <- apply(edgeRqlfdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfdf1KSpv <- apply(edgeRqlfdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPgOnlyPv <- sapply(res[["DESeqPgOnly"]], function(x) x$pval)
type1errDESeqPgOnly <- apply(DESeqPgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqPgOnlyKSpv <- apply(DESeqPgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPmaxPv <- sapply(res[["DESeqPmax"]], function(x) x$pval)
type1errDESeqPmax <- apply(DESeqPmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqPmaxKSpv <- apply(DESeqPmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCgOnlyPv <- sapply(res[["DESeqCgOnly"]], function(x) x$pval)
type1errDESeqCgOnly <- apply(DESeqCgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqCgOnlyKSpv <- apply(DESeqCgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCmaxPv <- sapply(res[["DESeqCmax"]], function(x) x$pval)
type1errDESeqCmax <- apply(DESeqCmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqCmaxKSpv <- apply(DESeqCmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

limmaPv <- sapply(res[["limma"]], function(x) x$P.Value)
type1errLimma <- apply(limmaPv, 1, function(x) sum(x < 0.05)) / m
limmaKSpv <- apply(limmaPv, 1, function(x) ks.test(x, "punif")$p.value)

allPvaluesFvsFcqn <- list(tweeDEseq=PTpv,
                          edgeRdf20=edgeRpv, edgeRdf1=edgeRdf1Pv, edgeRqlfdf20=edgeRqlfPv, edgeRqlfdf1=edgeRqlfdf1Pv,
                          DESeqPgOnly=DESeqPgOnlyPv, DESeqPmax=DESeqPmaxPv, DESeqCgOnly=DESeqCgOnlyPv, DESeqCmax=DESeqCmaxPv,
                          limma=limmaPv)

allGOFpvFvsFcqn <- list(tweeDEseq=PTkspv,
                        edgeRdf20=edgeRKSpv, edgeRdf1=edgeRdf1KSpv, edgeRqlfdf20=edgeRqlfKSpv, edgeRqlfdf1=edgeRqlfdf1KSpv,
                        DESeqPgOnly=DESeqPgOnlyKSpv, DESeqPmax=DESeqPmaxKSpv, DESeqCgOnly=DESeqCgOnlyKSpv, DESeqCmax=DESeqCmaxKSpv,
                        limma=limmaKSpv)

##
## M vs. M
##

## un-normalized

load("MvsM_bootstrappingUn.RData")

m <- min(sapply(res, length))

PTpv <- sapply(res[["tweeDEseq"]], function(x) x$pval)
type1errPT <- apply(PTpv, 1, function(x) sum(x < 0.05)) / m
PTkspv <- apply(PTpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRpv <- sapply(res[["edgeR"]], function(x) x$table$PValue)
type1errEdgeR <- apply(edgeRpv, 1, function(x) sum(x < 0.05)) / m
edgeRKSpv <- apply(edgeRpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRdf1Pv <- sapply(res[["edgeRdf1"]], function(x) x$table$PValue)
type1errEdgeRdf1 <- apply(edgeRdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRdf1KSpv <- apply(edgeRdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfPv <- sapply(res[["edgeRqlf"]], function(x) x$table$PValue)
type1errEdgeRqlf <- apply(edgeRqlfPv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfKSpv <- apply(edgeRqlfPv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfdf1Pv <- sapply(res[["edgeRqlfdf1"]], function(x) x$table$PValue)
type1errEdgeRqlfdf1 <- apply(edgeRqlfdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfdf1KSpv <- apply(edgeRqlfdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPgOnlyPv <- sapply(res[["DESeqPgOnly"]], function(x) x$pval)
type1errDESeqPgOnly <- apply(DESeqPgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqPgOnlyKSpv <- apply(DESeqPgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPmaxPv <- sapply(res[["DESeqPmax"]], function(x) x$pval)
type1errDESeqPmax <- apply(DESeqPmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqPmaxKSpv <- apply(DESeqPmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCgOnlyPv <- sapply(res[["DESeqCgOnly"]], function(x) x$pval)
type1errDESeqCgOnly <- apply(DESeqCgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqCgOnlyKSpv <- apply(DESeqCgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCmaxPv <- sapply(res[["DESeqCmax"]], function(x) x$pval)
type1errDESeqCmax <- apply(DESeqCmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqCmaxKSpv <- apply(DESeqCmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

limmaPv <- sapply(res[["limma"]], function(x) x$P.Value)
type1errLimma <- apply(limmaPv, 1, function(x) sum(x < 0.05)) / m
limmaKSpv <- apply(limmaPv, 1, function(x) ks.test(x, "punif")$p.value)

allPvaluesMvsMun <- list(tweeDEseq=PTpv,
                         edgeRdf20=edgeRpv, edgeRdf1=edgeRdf1Pv, edgeRqlfdf20=edgeRqlfPv, edgeRqlfdf1=edgeRqlfdf1Pv,
                         DESeqPgOnly=DESeqPgOnlyPv, DESeqPmax=DESeqPmaxPv, DESeqCgOnly=DESeqCgOnlyPv, DESeqCmax=DESeqCmaxPv,
                         limma=limmaPv)

allGOFpvMvsMun <- list(tweeDEseq=PTkspv,
                       edgeRdf20=edgeRKSpv, edgeRdf1=edgeRdf1KSpv, edgeRqlfdf20=edgeRqlfKSpv, edgeRqlfdf1=edgeRqlfdf1KSpv,
                       DESeqPgOnly=DESeqPgOnlyKSpv, DESeqPmax=DESeqPmaxKSpv, DESeqCgOnly=DESeqCgOnlyKSpv, DESeqCmax=DESeqCmaxKSpv,
                       limma=limmaKSpv)

## CQN

load("MvsM_bootstrappingCQN.RData")

m <- min(sapply(res, length))

PTpv <- sapply(res[["tweeDEseq"]], function(x) x$pval)
type1errPT <- apply(PTpv, 1, function(x) sum(x < 0.05)) / m
PTkspv <- apply(PTpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRpv <- sapply(res[["edgeR"]], function(x) x$table$PValue)
type1errEdgeR <- apply(edgeRpv, 1, function(x) sum(x < 0.05)) / m
edgeRKSpv <- apply(edgeRpv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRdf1Pv <- sapply(res[["edgeRdf1"]], function(x) x$table$PValue)
type1errEdgeRdf1 <- apply(edgeRdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRdf1KSpv <- apply(edgeRdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfPv <- sapply(res[["edgeRqlf"]], function(x) x$table$PValue)
type1errEdgeRqlf <- apply(edgeRqlfPv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfKSpv <- apply(edgeRqlfPv, 1, function(x) ks.test(x, "punif")$p.value)

edgeRqlfdf1Pv <- sapply(res[["edgeRqlfdf1"]], function(x) x$table$PValue)
type1errEdgeRqlfdf1 <- apply(edgeRqlfdf1Pv, 1, function(x) sum(x < 0.05)) / m
edgeRqlfdf1KSpv <- apply(edgeRqlfdf1Pv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPgOnlyPv <- sapply(res[["DESeqPgOnly"]], function(x) x$pval)
type1errDESeqPgOnly <- apply(DESeqPgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqPgOnlyKSpv <- apply(DESeqPgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqPmaxPv <- sapply(res[["DESeqPmax"]], function(x) x$pval)
type1errDESeqPmax <- apply(DESeqPmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqPmaxKSpv <- apply(DESeqPmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCgOnlyPv <- sapply(res[["DESeqCgOnly"]], function(x) x$pval)
type1errDESeqCgOnly <- apply(DESeqCgOnlyPv, 1, function(x) sum(x < 0.05)) / m
DESeqCgOnlyKSpv <- apply(DESeqCgOnlyPv, 1, function(x) ks.test(x, "punif")$p.value)

DESeqCmaxPv <- sapply(res[["DESeqCmax"]], function(x) x$pval)
type1errDESeqCmax <- apply(DESeqCmaxPv, 1, function(x) sum(x < 0.05)) / m
DESeqCmaxKSpv <- apply(DESeqCmaxPv, 1, function(x) ks.test(x, "punif")$p.value)

limmaPv <- sapply(res[["limma"]], function(x) x$P.Value)
type1errLimma <- apply(limmaPv, 1, function(x) sum(x < 0.05)) / m
limmaKSpv <- apply(limmaPv, 1, function(x) ks.test(x, "punif")$p.value)

allPvaluesMvsMcqn <- list(tweeDEseq=PTpv,
                          edgeRdf20=edgeRpv, edgeRdf1=edgeRdf1Pv, edgeRqlfdf20=edgeRqlfPv, edgeRqlfdf1=edgeRqlfdf1Pv,
                          DESeqPgOnly=DESeqPgOnlyPv, DESeqPmax=DESeqPmaxPv, DESeqCgOnly=DESeqCgOnlyPv, DESeqCmax=DESeqCmaxPv,
                          limma=limmaPv)

allGOFpvMvsMcqn <- list(tweeDEseq=PTkspv,
                        edgeRdf20=edgeRKSpv, edgeRdf1=edgeRdf1KSpv, edgeRqlfdf20=edgeRqlfKSpv, edgeRqlfdf1=edgeRqlfdf1KSpv,
                        DESeqPgOnly=DESeqPgOnlyKSpv, DESeqPmax=DESeqPmaxKSpv, DESeqCgOnly=DESeqCgOnlyKSpv, DESeqCmax=DESeqCmaxKSpv,
                        limma=limmaKSpv)

save(allPvaluesFvsFun, allPvaluesFvsFcqn, allPvaluesMvsMun, allPvaluesMvsMcqn,
     allGOFpvFvsFun, allGOFpvFvsFcqn, allGOFpvMvsMun, allGOFpvMvsMcqn,
     file="pickrell1simulationsResults.RData")
